From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/swift/
Date: Sat, 10 Oct 2020 19:32:33 +0000 (UTC) [thread overview]
Message-ID: <1602358343.7f819be6460c1608b4d2c115420d525e8c435f16.prometheanfire@gentoo> (raw)
commit: 7f819be6460c1608b4d2c115420d525e8c435f16
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 19:27:02 2020 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 19:32:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f819be6
sys-cluster/swift: 2.25.1 bump
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
sys-cluster/swift/Manifest | 1 +
sys-cluster/swift/swift-2.25.1.ebuild | 113 ++++++++++++++++++++++++++++++++++
2 files changed, 114 insertions(+)
diff --git a/sys-cluster/swift/Manifest b/sys-cluster/swift/Manifest
index 2685fa556ae..dd6cda07eb3 100644
--- a/sys-cluster/swift/Manifest
+++ b/sys-cluster/swift/Manifest
@@ -1,2 +1,3 @@
DIST swift-2.25.0.tar.gz 3183764 BLAKE2B 865cfcc832edb1f30a4529b0ff550c987a7413c841b9f1ef0d0a145f5be55762963b32ea332aa6f51690a871124e84dc7fb036309f38d4120a1e095e60bfaa34 SHA512 60cbc4bae61bb287e93d9a6a4e9a58a9c97f407d07927dde99c923d1ee7ab4ef79350c7c0cdcaab8aa0944aee09c27da549f3ebf86eb9bb92766b2b301d593a2
+DIST swift-2.25.1.tar.gz 3161690 BLAKE2B 985bcb884f4de9a7a4fbb8e2e76ff416035ac4554d3135c04d679c1d88a8443b988b5a18b4f3f1864542c93109020bb77eef72836fd40e705a9293c8a481e4f0 SHA512 4943949a420fa174e30c178b07797af4dceb89174c2e13ac9db35ff66a648024c907b52b9cdba2f730bc587b4d712efa3da09e77ccca51bd537703fc3c17144b
DIST swift-2.26.0.tar.gz 3235050 BLAKE2B 33b46ebc3bd57b6ca6ccb65e96dd11a754fa1b4d314c60eafd23ad8b6bb7b8fee42ce26ccf0f388ad33599520a049a2d36832ba3d1ea01b0a07a8bee3f803569 SHA512 5e4620831bfc75f231fa468ce68438a23ad7b013eef4173aa596fd2e42bd4eb7e6b4182026fa71b6f4dd31d2cfccc4e70480a42a77f93b15bf6e50e9287ea460
diff --git a/sys-cluster/swift/swift-2.25.1.ebuild b/sys-cluster/swift/swift-2.25.1.ebuild
new file mode 100644
index 00000000000..8ac84d6415d
--- /dev/null
+++ b/sys-cluster/swift/swift-2.25.1.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 python3_7 )
+
+inherit distutils-r1 eutils linux-info
+
+DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
+HOMEPAGE="https://launchpad.net/swift"
+if [[ ${PV} == *9999 ]];then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/openstack/swift.git"
+ EGIT_BRANCH="stable/ussuri"
+else
+ SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="account container doc +memcached +object proxy"
+REQUIRED_USE="|| ( proxy account container object )"
+
+CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/eventlet-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.8[${PYTHON_USEDEP}]
+ !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
+ !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ dev-python/pyxattr[${PYTHON_USEDEP}]
+ >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.0.2[${PYTHON_USEDEP}]
+ memcached? ( net-misc/memcached )
+ net-misc/rsync[xattr]
+ acct-user/swift
+ acct-group/swift"
+
+pkg_pretend() {
+ linux-info_pkg_setup
+ CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
+ ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
+ ~ZFS"
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
+ done
+ fi
+}
+
+src_prepare() {
+ sed -i 's/xattr/pyxattr/g' requirements.txt || die
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ keepdir /etc/swift
+ insinto /etc/swift
+
+ newins "etc/swift.conf-sample" "swift.conf"
+ newins "etc/rsyncd.conf-sample" "rsyncd.conf"
+ newins "etc/mime.types-sample" "mime.types-sample"
+ newins "etc/memcache.conf-sample" "memcache.conf-sample"
+ newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
+ newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
+
+ if use proxy; then
+ newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
+ newins "etc/proxy-server.conf-sample" "proxy-server.conf"
+ if use memcached; then
+ sed -i '/depend/a\ need memcached' "${D}/etc/init.d/swift-proxy"
+ fi
+ fi
+ if use account; then
+ newinitd "${FILESDIR}/swift-account.initd" "swift-account"
+ newins "etc/account-server.conf-sample" "account-server.conf"
+ fi
+ if use container; then
+ newinitd "${FILESDIR}/swift-container.initd" "swift-container"
+ newins "etc/container-server.conf-sample" "container-server.conf"
+ fi
+ if use object; then
+ newinitd "${FILESDIR}/swift-object.initd" "swift-object"
+ newins "etc/object-server.conf-sample" "object-server.conf"
+ newins "etc/object-expirer.conf-sample" "object-expirer.conf"
+ fi
+
+ if use doc; then
+ doman doc/manpages/*
+ dodoc -r doc/{s3api,saio,source}
+ fi
+
+ fowners root:swift "/etc/swift"
+ fperms 0750 /etc/swift
+}
+
+pkg_postinst() {
+ elog "Openstack swift will default to using insecure http unless a"
+ elog "certificate is created in /etc/swift/cert.crt and the associated key"
+ elog "in /etc/swift/cert.key. These can be created with the following:"
+ elog " * cd /etc/swift"
+ elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
+}
next reply other threads:[~2020-10-10 19:32 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-10 19:32 Matthew Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-31 21:07 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/swift/ Michał Górny
2021-05-14 2:19 Matthew Thode
2021-04-14 4:34 Matthew Thode
2020-11-10 22:54 Matthew Thode
2020-10-22 18:43 Matthew Thode
2020-10-10 23:09 Matthew Thode
2020-09-22 23:20 Matthew Thode
2020-07-03 0:31 Matthew Thode
2020-06-23 18:39 Matthew Thode
2020-05-23 20:01 Matthew Thode
2020-05-08 19:49 Matthew Thode
2020-04-23 19:36 Matthew Thode
2020-03-24 2:05 Matthew Thode
2020-03-17 13:49 Matthew Thode
2020-03-04 16:29 Matthew Thode
2020-02-19 7:39 Michał Górny
2020-02-08 6:57 Sven Wegener
2020-02-04 20:13 Matthew Thode
2019-11-03 20:21 Matthew Thode
2019-10-23 2:38 Matthew Thode
2019-10-03 23:39 Matthew Thode
2019-08-23 16:13 Matthew Thode
2019-07-23 14:51 Matthew Thode
2019-04-25 15:54 Matthew Thode
2019-04-04 14:47 Matthew Thode
2019-03-26 15:54 Matthew Thode
2019-03-25 0:07 Matthew Thode
2019-02-26 21:24 Matthew Thode
2019-01-15 17:21 Matthew Thode
2018-12-18 18:48 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-08-30 17:17 Matt Thode
2018-03-11 0:46 Matt Thode
2018-03-01 9:57 Matt Thode
2018-02-20 4:37 Matt Thode
2018-02-07 4:56 Matt Thode
2018-01-28 4:13 Matt Thode
2017-12-13 21:44 Matt Thode
2017-11-14 2:26 Matt Thode
2017-10-20 23:20 Matt Thode
2017-09-03 23:49 Matt Thode
2017-09-03 21:56 Matt Thode
2017-08-31 16:55 Matt Thode
2017-08-25 20:39 Matt Thode
2017-06-30 16:12 Matt Thode
2017-06-01 23:55 Matt Thode
2017-04-25 16:47 Matt Thode
2017-02-27 3:17 Matt Thode
2017-02-09 12:10 Matt Thode
2017-01-08 22:49 Matt Thode
2016-12-14 3:40 Matt Thode
2016-11-30 5:18 Matt Thode
2016-10-22 19:59 Matt Thode
2016-09-28 2:51 Matt Thode
2016-08-16 23:10 Matt Thode
2016-07-16 19:43 Matt Thode
2016-07-09 5:05 Matt Thode
2016-07-09 5:05 Matt Thode
2016-06-10 19:05 Matt Thode
2016-04-12 8:24 Austin English
2016-03-25 18:55 Matt Thode
2016-02-28 5:49 Matt Thode
2016-02-10 1:16 Matt Thode
2016-01-21 13:20 Agostino Sarubbo
2015-11-16 16:26 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-10-30 12:04 Justin Lecher
2015-10-30 12:03 Justin Lecher
2015-10-05 14:44 Matt Thode
2015-09-08 14:56 Matt Thode
2015-08-26 23:44 Matt Thode
2015-08-26 19:21 Agostino Sarubbo
2015-08-26 19:21 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1602358343.7f819be6460c1608b4d2c115420d525e8c435f16.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox